Closes: https://bugs.gentoo.org/722054
Signed-off-by: Mike Gilbert <flop...@gentoo.org>
---
 eclass/unpacker.eclass | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/eclass/unpacker.eclass b/eclass/unpacker.eclass
index 865e2e1a1a58..63aedee4480e 100644
--- a/eclass/unpacker.eclass
+++ b/eclass/unpacker.eclass
@@ -17,6 +17,8 @@
 if [[ -z ${_UNPACKER_ECLASS} ]]; then
 _UNPACKER_ECLASS=1
 
+inherit toolchain-funcs
+
 # @ECLASS-VARIABLE: UNPACKER_BZ2
 # @DEFAULT_UNSET
 # @DESCRIPTION:
@@ -279,8 +281,7 @@ unpack_deb() {
                        done
                } < "${deb}"
        else
-               local AR=${AR-ar}
-               ${AR} x "${deb}" || die
+               $(tc-getBUILD_AR) x "${deb}" || die
        fi
 
        unpacker ./data.tar*
-- 
2.27.0


Reply via email to